Package com.ocient.jdbc.proto

## Class ClientWireProtocol.FetchSystemMetadata.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>
      - - com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadata.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.FetchSystemMetadataOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.FetchSystemMetadata

    public static final class ClientWireProtocol.FetchSystemMetadata.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>
    implements ClientWireProtocol.FetchSystemMetadataOrBuilder

Protobuf type `xg.cmdcomp.FetchSystemMetadata`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClientWireProtocol.FetchSystemMetadata.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.FetchSystemMetadata` `build()`
`ClientWireProtocol.FetchSystemMetadata` `buildPartial()`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clear()`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearCall()` `.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearColumn()` `string column = 4;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearSchema()` Parameters for calls
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearTable()` `string table = 3;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearTest()` whether to test against patterns
`ClientWireProtocol.FetchSystemMetadata.Builder` `clearView()` `string view = 5;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `clone()`
`ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall` `getCall()` `.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`int` `getCallValue()` `.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`String` `getColumn()` `string column = 4;`
`com.google.protobuf.ByteString` `getColumnBytes()` `string column = 4;`
`ClientWireProtocol.FetchSystemMetadata` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getSchema()` Parameters for calls
`com.google.protobuf.ByteString` `getSchemaBytes()` Parameters for calls
`String` `getTable()` `string table = 3;`
`com.google.protobuf.ByteString` `getTableBytes()` `string table = 3;`
`boolean` `getTest()` whether to test against patterns
`String` `getView()` `string view = 5;`
`com.google.protobuf.ByteString` `getViewBytes()` `string view = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ClientWireProtocol.FetchSystemMetadata.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `mergeFrom​(ClientWireProtocol.FetchSystemMetadata other)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setCall​(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall value)` `.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setCallValue​(int value)` `.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setColumn​(String value)` `string column = 4;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setColumnBytes​(com.google.protobuf.ByteString value)` `string column = 4;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setSchema​(String value)` Parameters for calls
`ClientWireProtocol.FetchSystemMetadata.Builder` `setSchemaBytes​(com.google.protobuf.ByteString value)` Parameters for calls
`ClientWireProtocol.FetchSystemMetadata.Builder` `setTable​(String value)` `string table = 3;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setTableBytes​(com.google.protobuf.ByteString value)` `string table = 3;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setTest​(boolean value)` whether to test against patterns
`ClientWireProtocol.FetchSystemMetadata.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setView​(String value)` `string view = 5;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `setViewBytes​(com.google.protobuf.ByteString value)` `string view = 5;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### clear

    public ClientWireProtocol.FetchSystemMetadata.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### getDefaultInstanceForType

    public ClientWireProtocol.FetchSystemMetadata getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ClientWireProtocol.FetchSystemMetadata build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ClientWireProtocol.FetchSystemMetadata buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ClientWireProtocol.FetchSystemMetadata.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### setField

    public ClientWireProtocol.FetchSystemMetadata.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### clearField

    public ClientWireProtocol.FetchSystemMetadata.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### clearOneof

    public ClientWireProtocol.FetchSystemMetadata.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### setRepeatedField

    public ClientWireProtocol.FetchSystemMetadata.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                           int index,
                                                                           Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### addRepeatedField

    public ClientWireProtocol.FetchSystemMetadata.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                           Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### mergeFrom

    public ClientWireProtocol.FetchSystemMetadata.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### mergeFrom

    public ClientWireProtocol.FetchSystemMetadata.Builder mergeFrom​(ClientWireProtocol.FetchSystemMetadata other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### mergeFrom

    public ClientWireProtocol.FetchSystemMetadata.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`
Throws:
  `IOException`

#### getCallValue

    public int getCallValue()

`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Specified by:
  `getCallValue` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The enum numeric value on the wire for call.

#### setCallValue

    public ClientWireProtocol.FetchSystemMetadata.Builder setCallValue​(int value)

`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Parameters:
  `value` - The enum numeric value on the wire for call to set.
Returns:
  This builder for chaining.

#### getCall

    public ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall getCall()

`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Specified by:
  `getCall` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The call.

#### setCall

    public ClientWireProtocol.FetchSystemMetadata.Builder setCall​(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall value)

`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Parameters:
  `value` - The call to set.
Returns:
  This builder for chaining.

#### clearCall

    public ClientWireProtocol.FetchSystemMetadata.Builder clearCall()

`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Returns:
  This builder for chaining.

#### getSchema

    public String getSchema()

     Parameters for calls

`string schema = 2;`

Specified by:
  `getSchema` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The schema.

#### getSchemaBytes

    public com.google.protobuf.ByteString getSchemaBytes()

     Parameters for calls

`string schema = 2;`

Specified by:
  `getSchemaBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for schema.

#### setSchema

    public ClientWireProtocol.FetchSystemMetadata.Builder setSchema​(String value)

     Parameters for calls

`string schema = 2;`

Parameters:
  `value` - The schema to set.
Returns:
  This builder for chaining.

#### clearSchema

    public ClientWireProtocol.FetchSystemMetadata.Builder clearSchema()

     Parameters for calls

`string schema = 2;`

Returns:
  This builder for chaining.

#### setSchemaBytes

    public ClientWireProtocol.FetchSystemMetadata.Builder setSchemaBytes​(com.google.protobuf.ByteString value)

     Parameters for calls

`string schema = 2;`

Parameters:
  `value` - The bytes for schema to set.
Returns:
  This builder for chaining.

#### getTable

    public String getTable()

`string table = 3;`

Specified by:
  `getTable` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The table.

#### getTableBytes

    public com.google.protobuf.ByteString getTableBytes()

`string table = 3;`

Specified by:
  `getTableBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for table.

#### setTable

    public ClientWireProtocol.FetchSystemMetadata.Builder setTable​(String value)

`string table = 3;`

Parameters:
  `value` - The table to set.
Returns:
  This builder for chaining.

#### clearTable

    public ClientWireProtocol.FetchSystemMetadata.Builder clearTable()

`string table = 3;`

Returns:
  This builder for chaining.

#### setTableBytes

    public ClientWireProtocol.FetchSystemMetadata.Builder setTableBytes​(com.google.protobuf.ByteString value)

`string table = 3;`

Parameters:
  `value` - The bytes for table to set.
Returns:
  This builder for chaining.

#### getColumn

    public String getColumn()

`string column = 4;`

Specified by:
  `getColumn` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The column.

#### getColumnBytes

    public com.google.protobuf.ByteString getColumnBytes()

`string column = 4;`

Specified by:
  `getColumnBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for column.

#### setColumn

    public ClientWireProtocol.FetchSystemMetadata.Builder setColumn​(String value)

`string column = 4;`

Parameters:
  `value` - The column to set.
Returns:
  This builder for chaining.

#### clearColumn

    public ClientWireProtocol.FetchSystemMetadata.Builder clearColumn()

`string column = 4;`

Returns:
  This builder for chaining.

#### setColumnBytes

    public ClientWireProtocol.FetchSystemMetadata.Builder setColumnBytes​(com.google.protobuf.ByteString value)

`string column = 4;`

Parameters:
  `value` - The bytes for column to set.
Returns:
  This builder for chaining.

#### getView

    public String getView()

`string view = 5;`

Specified by:
  `getView` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The view.

#### getViewBytes

    public com.google.protobuf.ByteString getViewBytes()

`string view = 5;`

Specified by:
  `getViewBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for view.

#### setView

    public ClientWireProtocol.FetchSystemMetadata.Builder setView​(String value)

`string view = 5;`

Parameters:
  `value` - The view to set.
Returns:
  This builder for chaining.

#### clearView

    public ClientWireProtocol.FetchSystemMetadata.Builder clearView()

`string view = 5;`

Returns:
  This builder for chaining.

#### setViewBytes

    public ClientWireProtocol.FetchSystemMetadata.Builder setViewBytes​(com.google.protobuf.ByteString value)

`string view = 5;`

Parameters:
  `value` - The bytes for view to set.
Returns:
  This builder for chaining.

#### getTest

    public boolean getTest()

     whether to test against patterns

`bool test = 6;`

Specified by:
  `getTest` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The test.

#### setTest

    public ClientWireProtocol.FetchSystemMetadata.Builder setTest​(boolean value)

     whether to test against patterns

`bool test = 6;`

Parameters:
  `value` - The test to set.
Returns:
  This builder for chaining.

#### clearTest

    public ClientWireProtocol.FetchSystemMetadata.Builder clearTest()

     whether to test against patterns

`bool test = 6;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final ClientWireProtocol.FetchSystemMetadata.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

#### mergeUnknownFields

    public final ClientWireProtocol.FetchSystemMetadata.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`